Get Build Integrity Status
curl --request GET \
--url https://app.papelship.com/api/qpapel/v1/build-check \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.papelship.com/api/qpapel/v1/build-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/qpapel/v1/build-check"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/qpapel/v1/build-check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/qpapel/v1/build-check"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"summary": {
"protected_products": 1,
"total_products": 5,
"pending_builds": 1,
"verified_builds": 2,
"rejected_builds": 0
},
"settings": [
{
"id": 15,
"product_id": "cs2_cheat",
"product_name": "Counter Strike 2 Loader",
"access_id": "389204859012",
"status": "active",
"build_check": true,
"build_check_retry_seconds": 10,
"build_check_action": "close_app",
"pending_count": 1,
"verified_count": 2
}
],
"unverified": [
{
"id": 4,
"api_key": "api_••••user",
"product_id": "cs2_cheat",
"build_sha256": "ea822f3e8f498c8a14b3017a9eb538c351f044994da5d42c35a6db9e5a6f23c2",
"client_version": "1.0.4",
"cpu_id": "BFEBFBFF000906E3",
"ip_address": "192.168.1.50",
"first_seen": "2026-06-12T06:00:00.000Z",
"last_seen": "2026-06-12T06:12:00.000Z",
"seen_count": 5,
"status": "pending",
"metadata": {
"os": "Windows 11"
}
}
],
"verified": [
{
"id": 2,
"api_key": "api_••••user",
"product_id": "cs2_cheat",
"build_sha256": "f2c5e5332f146a4892c90f2351f044994da5d42c35a6db9e5a6f23c253d8f8ef",
"client_version": "1.0.3",
"label": "Official Release v1.0.3",
"approved_by": "Owner",
"approved_at": "2026-06-12T05:00:00.000Z",
"enabled": true
}
]
}
}{
"success": false,
"error": "Unauthorized access. Valid API key required."
}Client Security & Anti-Cheat
Get Build Integrity Status
Retrieve active build validation settings, pending unverified hashes, and approved build signatures.
GET
/
build-check
Get Build Integrity Status
Yetkilendirmeler
BearerAuthApiKeyHeaderApiKeyHeaderLegacy
Standard HTTP Bearer token authentication header (e.g. Authorization: Bearer pk_live_...).
Sorgu Parametreleri
Comma-separated list of build review statuses.
Örnek:
"pending,warned,blocked,approved,rejected"